#1576 closed defect (fixed)

SD card CRC checks: should enable CRCs

Reported by: Arnout Vandecappelle Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

In bug 1569, I forgot to use the 'enable CRC checks' command. Also, CRC of 0x7F should be ignored (means don't care).

Attached patch fixes this.

Attachments (2)

0001-CRC-ignore-crc7-of-0xff-and-enable-CRC.patch (1.3 KB) - added by Arnout Vandecappelle on Jun 21, 2010 at 1:47:54 PM.
sdcard: ignore CRC7 of 0x7f and use CRC_ON_OFF command during initialization
0001-CRC-ignore-crc7-of-0xff-and-enable-CRC_v1.patch (1.3 KB) - added by Arnout Vandecappelle on Jun 21, 2010 at 2:14:02 PM.
sdcard: ignore CRC7 of 0x7f and use CRC_ON_OFF command during initialization

Download all attachments as: .zip

Change History (6)

Changed on Jun 21, 2010 at 1:47:54 PM by Arnout Vandecappelle

sdcard: ignore CRC7 of 0x7f and use CRC_ON_OFF command during initialization

Changed on Jun 21, 2010 at 2:14:02 PM by Arnout Vandecappelle

sdcard: ignore CRC7 of 0x7f and use CRC_ON_OFF command during initialization

comment:1 Changed on Jun 21, 2010 at 2:14:02 PM by Arnout Vandecappelle

attachments.isobsolete: 01

comment:2 Changed on Jun 21, 2010 at 2:26:19 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

There is no need to cast the return value away, but assign and ignore is a different thing.

Applied to CVS head.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.